**DOI:**              10.7795/720.20240112  
**resource type**:    Dataset / Measurement data  
**title:**           Additional data for the publication "Intercomparison to validate implementations of different laboratories of algorithms for the analysis of surface texture"  
**description:**     The surface texture is an important feature of machine parts for any kind of contact. The quantification of its properties has been a well-established area in quality assurance for many decades. With the increasing demand for precision and interchangeability in the globalised marketplace, the results of surface analysis must be unambiguous and reliable. This is why the International Standardization’s Technical Committee on Geometric Product Specification has updated its standards.  
Consequently, instrument manufacturers and calibration laboratories need to ensure that their analysis software complies with the new ISO standards. An intercomparison has therefore been carried out to validate surface texture analysis software.  
This article explains the method of testing texture analysis algorithms using software measurement standards (softgauges) and the specification of the test tasks. The results of the comparison are presented and discussed. 
**version**:         01 
**dates**:           2024-01-12 
**related objects:** article submitted to Metrologia 
**creators:**         
  + Hüser, Dorothee, Physikalisch-Technische Bundesanstalt (PTB), Fachbereich 5.1 Oberflächenmesstechnik, ORCID: 0000-0002-2208-4490
  + Seewig, Jörg, Rheinland-Pfälzische Technische Universität Kaiserslautern-Landau, Kaiserslautern, Germany, ORCID: 0000-0002-1420-1597
  + Koppert, Nils, Physikalisch-Technische Bundesanstalt (PTB), Fachbereich 5.1 Oberflächenmesstechnik, ORCID: 0000-0001-8556-3950 

**license:**       CC-BY 4.0 international  
**keywords:**      software validation, intercomparison, profilometric roughness, profile filter, surface texture, software measurement standards, softgauges 
**classification:** e.g. INSPEC A0620 Metrology, A0620H Measurement standards and calibration, B7130 Measurement standards and calibration, E1650 Standards and calibration

**description of the individual files:**
The archive contains:
1. folders representing a set of different data sets, that are softgauges representing profiles with very different characteristics together with the specification of the task, how to analyse the profile,
2. three schema files to validate the json format of the data sets,
3. a manual explaining how to the data sets.

To ensure that the results of the users are linked to identical tasks and profiles, a chain is created by referencing the MD5 checksum of the task file in the result and by referencing the MD5 checksum of the profile file in the task file. An MD5 checksum is a 128-bit hash value generated by the message-digest (MD) algorithm, a widely used hash function developed by Ronald Rivest in 1991. It is specified in the standard RFC 1321.

For each profile _n_=1,... at least one specifications file with a number _k_=1,2,... is given, that defines the analysis task with all necessary input parameters facilitating the participating institutions or laboratories to process their tasks.

- For each test three zip archive files are assigned with following file names (the file extension name sg stands for softgauges):
    - `prf_`_n_`.sg` with the profile with the serial number _n_ (provided in this archive),
    - `prf_`_n_`specifications_`_k_`.sg` of the tasks  (provided in this archive),
    - `prf_`_n_lab`_results_`_k_`.sg` (to be generated by the user).
- The three different types of files contain one json file each. For each type of json file exists a schema file accordingly, which are provided in this archive.

Further details are given in the manual `manual_softgauges.pdf`.
